❖ MatchMove Banking API Specifications

Sections

Theme switcher

Get Recipients

Header Parameters

X-Auth-User-IDstring Required

The matchmove issued user_id for which the request is being made

X-Auth-User-IPstring

The IP using which the actor is making the request

X-Auth-Device-IDstring

The unique id of the device using which the actor is making the request

X-Auth-User-Agentstring

The user agent of the device using which the actor is making the request

X-Auth-Actorstring Required

The actor on behalf of whom the API request is being performed

Path Parameters

program_codestring Required

Unique identifier for your program, issued by MatchMove during onboarding. All requests must use the program_code assigned to your integration. Using a program_code that does not belong to your integration will result in an authorization error.

idstring Required

Unique identifier of the remittance recipient. Returned in the id field from POST /{program_code}/v2/users/wallets/payouts/remittances/recipients. This identifier is valid for both user-scoped (/v2/users/...) and admin-scoped (/v2/oauth/...) paths.

Response

200
Object

OK

Response Attributes

idstring

ID of the recipient

receiving_institution_typestring Required

Receiving institution type of payment associated with the recipient.

Enum values:
BANKMOBILE_WALLETCASH_PICKUPCARDS
recipient_typestring Required

Type of recipient

Enum values:
INDIVIDUALBUSINESS
recipient_countrystring Required

Country of recipient represented in ISO 3166 format.

receiving_currencystring Required

Currency of recipient currency represented in ISO 4217 format.

statusstring

Status of the recipient

Enum values:
CREATEDPENDINGPENDING_REVIEWPENDING_ACTIVATIONACTIVEDELETEDFAILEDBLOCKEDUPDATE_REQUIREDINACTIVE
created_bystring

ID of the user who has created the recipient.

created_atstring

Created timestamp value of recipient

updated_bystring

ID of the user who has updated the recipient.

updated_atstring

Updated timestamp value of recipient

deleted_bystring

ID of the user who has deleted the recipient.

deleted_atstring

Deleted timestamp value of a recipient. it would only populated if recipient is deleted.

commentsstring

It respresents the reason of the activity

userobject

Represents the user object with id and type.

bank_detailsobject

Object to represent recipients bank details

address_detailsobject

Object to represent recipient address details.

user_informationobject

Object to represent recipients basic details. this is required if recipient is type "INDIVIDUAL". If recipient type is BUSINESS, then we must be using business information

business_informationobject

this object is mandatory if the recipient is of type business. this object is not supported for recipient of type INDIVIDUAL.

representative_infoobject

this is an optional object. this is supported when the recipient is of type BUSINESS. This object is not required if the the recipient is of type INDIVIDUAL.

identification_detailsobject | null

Represents the Identification details for individual recipient or business recipient.

additional_dataobject Required

the additional data is required to process remittance. the values depend on the recipient's country.

201
Object

Created

Response Attributes

idstring

ID of the recipient

receiving_institution_typestring Required

Receiving institution type of payment associated with the recipient.

Enum values:
BANKMOBILE_WALLETCASH_PICKUPCARDS
recipient_typestring Required

Type of recipient

Enum values:
INDIVIDUALBUSINESS
recipient_countrystring Required

Country of recipient represented in ISO 3166 format.

receiving_currencystring Required

Currency of recipient currency represented in ISO 4217 format.

statusstring

Status of the recipient

Enum values:
CREATEDPENDINGPENDING_REVIEWPENDING_ACTIVATIONACTIVEDELETEDFAILEDBLOCKEDUPDATE_REQUIREDINACTIVE
created_bystring

ID of the user who has created the recipient.

created_atstring

Created timestamp value of recipient

updated_bystring

ID of the user who has updated the recipient.

updated_atstring

Updated timestamp value of recipient

deleted_bystring

ID of the user who has deleted the recipient.

deleted_atstring

Deleted timestamp value of a recipient. it would only populated if recipient is deleted.

commentsstring

It respresents the reason of the activity

userobject

Represents the user object with id and type.

bank_detailsobject

Object to represent recipients bank details

address_detailsobject

Object to represent recipient address details.

user_informationobject

Object to represent recipients basic details. this is required if recipient is type "INDIVIDUAL". If recipient type is BUSINESS, then we must be using business information

business_informationobject

this object is mandatory if the recipient is of type business. this object is not supported for recipient of type INDIVIDUAL.

representative_infoobject

this is an optional object. this is supported when the recipient is of type BUSINESS. This object is not required if the the recipient is of type INDIVIDUAL.

identification_detailsobject | null

Represents the Identification details for individual recipient or business recipient.

additional_dataobject Required

the additional data is required to process remittance. the values depend on the recipient's country.

400
Object

Bad Request

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

401
Object

Unauthorized

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

403
Object

Forbidden

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

404
Object

Not Found

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

500
Object

Internal Server Error

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

502
Object

Bad Gateway

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

503
Object

Service Unavailable

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

504
Object

Gateway Timeout

Response Attributes

idstring Required

Unique request ID for the API request

statusnumber Required

HTTP response code for the API request

codestring Required

MatchMove generated error code for the API request

titlestring Required

MatchMove generated title for the error code

detailstring Required

Details for the error code

descriptionstring

Details for the error code

sourcearray | null

Optional object returned when a validation error encountered. The object returns details of the fields which failed validation errors and the respective reasons

timestampstring Required

Timestamp for the processed API

Was this section helpful?

GET

/

Select
1

Response

Was this section helpful?